#ifndef I2CRELAY_H
#define I2CRELAY_H

#include <Arduino.h>
#include <Wire.h>

class I2CRelay {
public:
    I2CRelay(uint8_t address = 0x08, uint8_t sda = 8, uint8_t scl = 3);

    void begin();
    void setRelay(uint8_t relayNum, uint8_t state);
    void setAllRelays(uint8_t state);
    void setDeviceName(const String &name);
    void setI2CAddress(uint8_t newAddr);
    String getIdentification();

    // Helper for command parsing (optional)
    void handleSerialCommand(const String &cmd);

private:
    uint8_t _address;
    uint8_t _sda;
    uint8_t _scl;
};

#endif
